# Card Payments

Payments root resource, returns links to available payments actions.

Version: 6

## Servers

Test (Try)
```
https://try.access.worldpay.com
```

Live
```
https://access.worldpay.com
```

## Security

### BasicAuth

Type: http
Scheme: basic

## Download OpenAPI description

 - [Card Payments](https://docs.worldpay.com/access/_bundle/products/card-payments/@v6/openapi.yaml)

## Take a one-time payment

 - [POST /payments/authorizations](https://docs.worldpay.com/access/products/card-payments/v6/openapi/take-a-one-time-payment/authorize.md): Take online card payments using our Card Payments API.
## Take repeat payments

 - [POST /payments/authorizations/cardOnFile/{linkData}](https://docs.worldpay.com/access/products/card-payments/v6/openapi/take-repeat-payments/cardonfileauthorize.md): Use our card on file authorize resource when your customer is initiating a payment using stored card details verifying their account first
 - [POST /payments/authorizations/migrateCardOnFile](https://docs.worldpay.com/access/products/card-payments/v6/openapi/take-repeat-payments/migratecardonfileauthorize.md): Use our card on file authorize resource when your customer is initiating a payment using stored card details (without verifying their account first)
 - [POST /payments/sales/migrateCardOnFile](https://docs.worldpay.com/access/products/card-payments/v6/openapi/take-repeat-payments/migratecardonfilesale.md): Use our card on file sale resource when your customer is initiating a payment using stored card details, and you want to instantly trigger the settlement process
 - [POST /payments/authorizations/migrateRecurring](https://docs.worldpay.com/access/products/card-payments/v6/openapi/take-repeat-payments/migraterecurringauthorize.md): Use our migrate recurring authorize resource when you are initiating a payment using your customer's stored card details, without verifying their account first
 - [POST /payments/authorizations/recurring/{linkData}](https://docs.worldpay.com/access/products/card-payments/v6/openapi/take-repeat-payments/recurringauthorize.md): Use our recurring authorize resources when you are initiating a payment using your customer's stored card details, verifying your customer's account first.
 - [POST /payments/sales/recurring/{linkData}](https://docs.worldpay.com/access/products/card-payments/v6/openapi/take-repeat-payments/recurringsale.md): Use our recurring sale resource to authorize and settle merchant initiated transactions where you have stored the card details. You must verify your customer's account before submitting your first rec
## Manage payments

 - [POST /payments/settlements/{linkData}](https://docs.worldpay.com/access/products/card-payments/v6/openapi/manage-payments/settle.md): To receive all the funds from the customer, send us a settle request.
 - [POST /payments/settlements/partials/{linkData}](https://docs.worldpay.com/access/products/card-payments/v6/openapi/manage-payments/partialsettlement.md): To receive a portion of the funds of a payment, send us a partial settle request.
 - [POST /payments/settlements/refunds/full/{linkData}](https://docs.worldpay.com/access/products/card-payments/v6/openapi/manage-payments/refund.md): Send a refund request to return the full settled amount to your customer. Note: No request body is needed for this request.
 - [POST /payments/settlements/refunds/partials/{linkData}](https://docs.worldpay.com/access/products/card-payments/v6/openapi/manage-payments/partialrefund.md): Send a partial refund request to return a portion of the settled amount to your customer. Send the amount to refund and the authorization currency in the body.
 - [POST /payments/authorizations/cancellations/{linkData}](https://docs.worldpay.com/access/products/card-payments/v6/openapi/manage-payments/cancel.md): If you don’t want to proceed with a payment, you can send a cancel request Note: You can only cancel a payment which is authorized. If the payment is settled, you must create a refund.
 - [POST /payments/sales/reversals/{linkData}](https://docs.worldpay.com/access/products/card-payments/v6/openapi/manage-payments/reversal.md): Your reversal request is processed as a cancel or refund request. This depends on the time passed after your sale request was submitted. For US entities the payment is refunded after one day after a s
 - [POST /payments/recurringMandates](https://docs.worldpay.com/access/products/card-payments/v6/openapi/manage-payments/recurringmandate.md): Create a recurring mandate using a scheme transaction ID
## Query a payment

 - [GET /payments/events/{linkData}](https://docs.worldpay.com/access/products/card-payments/v6/openapi/query-a-payment/eventquery.md): Send a request to find out the current status of your payment after it has been authorized using the events action link. Note: It can take up to 15 minutes for a payment event to update.
 - [GET /payments/events](https://docs.worldpay.com/access/products/card-payments/v6/openapi/query-a-payment/eventrecovery.md): Send a request to find out the current status of your payment after it has been authorized using the events action link. This action is only to be used for recovery purposes. Use this action if your
